Skip to Content
SAPUI5

HAT: Cordova whitelist plugin update causes build failure when building hybrid apps

Tags:

Since a couple of days ago the open source Cordova whitelist plugin was updated and published in a public repository, the Cordova based builds are failing when using SAP Hybrid App Toolkit.

The problem is that the latest version of the cordova whitelist plugin requires a version of cordova-ios that has not been release yet.

We are working on a patch release for SAP Hybrid App Toolkit (HAT). However, this process takes a bit of time.

Meanwhile, I'll share the patch as text here so those who are blocked can continue working with our tooling.

Regards,

Ludo